## GocPixbuf

GocPixbuf — Pixbuf.

## Properties

double | height | Read / Write
GdkPixbuf * | pixbuf | Read / Write
double | width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocPixbuf
typedef | GocPixbufClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocPixbuf

## Description

GocPixbuf implements image drawing in the canvas.

## Functions

## Types and Values

### GocPixbuf

    typedef struct _GocPixbuf GocPixbuf;

### GocPixbufClass

    typedef GocItemClass GocPixbufClass;

## Property Details

### The `“height”` property

      “height”                   double

The image height or -1 to use the image height.

Owner: GocPixbuf

Flags: Read / Write

Default value: 0

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

The GdkPixbuf to display.

Owner: GocPixbuf

Flags: Read / Write

### The `“width”` property

      “width”                    double

The image width or -1 to use the image width.

Owner: GocPixbuf

Flags: Read / Write

Default value: 0

### The `“x”` property

      “x”                        double

The image left position.

Owner: GocPixbuf

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The image top position.

Owner: GocPixbuf

Flags: Read / Write

Default value: 0